from adg_control import AdgClient, ADG_EXE, ADG_DIR
from parser import Parser
from cache import Cache


def main():
    parser = Parser("./test")
    client = AdgClient(ADG_EXE, ADG_DIR)
    cache = Cache()

    c1 = parser.commands[0]
    c1.execute(client, cache)

    c2 = parser.commands[1]
    c2.execute(client, cache)

    c3 = parser.commands[2]
    c3.execute(client, cache)


if __name__ == "__main__":
    main()
